<?php

namespace DefStudio\GameEngine\Listeners\Users;

use DefStudio\GameEngine\Events\Teams\UserSubscribedToTeam;

class UserSubscribedToTeamListener
{
    public function handle(UserSubscribedToTeam $event): void
    {
        $event->user->unsetRelation('current_teams');
        $event->user->unsetRelation('teams');
    }
}
